# Django

Django is a high-level Python Web framework which follows the model–view–template (MVT) architectural pattern.

## Installation

Two packages of Django are currently available in the official repositories. They can be installed with the following packages:

- python-django - Latest python support, with documentation in the django-docsAUR package from AUR.
- python2-django - Python 2 legacy support

### Database driver

If you intend to use a MySQL/MariaDB database as backend, also install the python-mysqlclientAUR package.

## Usage

If you wish to start a Django project, use `django-admin` command

    $ django-admin startproject mysite

This will create a mysite directory in your current directory. It will also create a manage.py script, which will let you interact with your project.

More information you will find in the official Django tutorial and Django documentation.

Category:

- Development